Skip to main content
POST
/
v3
/
index
Create a new index
curl --request POST \
  --url https://{region}.affinda.com/v3/index \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "my-index"
}
'
import requests

url = "https://{region}.affinda.com/v3/index"

payload = { "name": "my-index" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'my-index'})
};

fetch('https://{region}.affinda.com/v3/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "name": "my-index",
  "user": {
    "id": 1,
    "name": "Carl Johnson",
    "email": "carljohnson@grove.street",
    "avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
  }
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Body

application/json

Index to create

name
string
required

Unique index name

Example:

"my-index"

docType
enum<string>
Available options:
resumes,
job_descriptions

Response

Returns the created index

name
string
required

Unique index name

Example:

"my-index"

docType
enum<string>
required
Available options:
resumes,
job_descriptions
user
object
required
read-only

The user who created this index